> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Round



## OpenAPI

````yaml /openapi.json get /api/v1/reviews/rounds/{requestId}
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: folders
  - name: tasks
  - name: messages
  - name: reviews
  - name: usage
  - name: users
paths:
  /api/v1/reviews/rounds/{requestId}:
    get:
      tags:
        - reviews
      summary: Round
      operationId: reviews.round
      parameters:
        - name: requestId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ReviewRound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewRoundEncoded'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_UnauthorizedEncoded'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ForbiddenEncoded'
        '404':
          description: capy/ReviewRoundNotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ReviewRoundNotFoundEncoded'
        '429':
          description: capy/RateLimited
          headers:
            retry-after:
              schema:
                type: integer
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_RateLimitedEncoded'
      security:
        - bearerAuth: []
components:
  schemas:
    ReviewRoundEncoded:
      type: object
      properties:
        requestId:
          type: string
        reviewId:
          type: string
        threadId:
          anyOf:
            - type: string
            - type: 'null'
        repo:
          type: string
        prNumber:
          type: integer
        headSha:
          type: string
        baseSha:
          type: string
        status:
          type: string
          enum:
            - pending
            - running
            - completed
            - failed
            - stale
        shadow:
          type: boolean
        model:
          anyOf:
            - type: string
            - type: 'null'
        effort:
          anyOf:
            - type: string
              enum:
                - none
                - instant
                - minimal
                - low
                - medium
                - high
                - xhigh
                - max
            - type: 'null'
        tier:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
        title:
          anyOf:
            - type: string
            - type: 'null'
        failureReason:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        settledAt:
          anyOf:
            - type: string
            - type: 'null'
        findings:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRoundFindingEncoded'
      required:
        - requestId
        - reviewId
        - threadId
        - repo
        - prNumber
        - headSha
        - baseSha
        - status
        - shadow
        - model
        - effort
        - tier
        - title
        - failureReason
        - createdAt
        - settledAt
        - findings
      additionalProperties: false
    capy_UnauthorizedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ForbiddenEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    capy_ReviewRoundNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ReviewRoundNotFound
        requestId:
          type: string
      required:
        - _tag
        - requestId
      additionalProperties: false
    capy_RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/RateLimited
        retryAfterSeconds:
          type: integer
      required:
        - _tag
        - retryAfterSeconds
      additionalProperties: false
    ReviewRoundFindingEncoded:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
          enum:
            - issue
            - note
        severity:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
        confidence:
          anyOf:
            - type: string
              enum:
                - confirmed
                - investigate
            - type: 'null'
        category:
          anyOf:
            - type: string
              enum:
                - bug
                - risk
                - maintainability
                - refactor
            - type: 'null'
        summary:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
        suggestion:
          anyOf:
            - type: string
            - type: 'null'
        file:
          anyOf:
            - type: string
            - type: 'null'
        line:
          anyOf:
            - type: integer
            - type: 'null'
        startLine:
          anyOf:
            - type: integer
            - type: 'null'
        files:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
      required:
        - id
        - kind
        - severity
        - confidence
        - category
        - summary
        - detail
        - suggestion
        - file
        - line
        - startLine
        - files
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````